%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate ratatui

Name:           rust-ratatui0.25
Version:        0.25.0
Release:    1%{?dist}
Summary:        Library that's all about cooking up terminal user interfaces

License:        MIT
URL:            https://crates.io/crates/ratatui
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library that's all about cooking up terminal user interfaces.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/BREAKING-CHANGES.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+all-widgets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-widgets-devel %{_description}

This package contains library source intended for building other packages which
use the "all-widgets" feature of the "%{crate}" crate.

%files       -n %{name}+all-widgets-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-devel %{_description}

This package contains library source intended for building other packages which
use the "termion" feature of the "%{crate}" crate.

%files       -n %{name}+termion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+underline-color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+underline-color-devel %{_description}

This package contains library source intended for building other packages which
use the "underline-color" feature of the "%{crate}" crate.

%files       -n %{name}+underline-color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-rendered-line-info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-rendered-line-info-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-rendered-line-info" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-rendered-line-info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-segment-size-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-segment-size-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-segment-size" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-segment-size-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+widget-calendar-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+widget-calendar-devel %{_description}

This package contains library source intended for building other packages which
use the "widget-calendar" feature of the "%{crate}" crate.

%files       -n %{name}+widget-calendar-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jun 30 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.25.0-1
- initial build
